using System;
using System.Linq;

namespace test
{
    class Program
    {
        static void Main(string[] args)
        {
            // n, x
            string[] unos1 = Console.ReadLine().Split();
            //komsije
            string[] unos2 = Console.ReadLine().Split();

            //komsije
            int n = int.Parse(unos1[0]);
            //udaljenost od pocetka
            int x = int.Parse(unos1[1]);

            int[] komsije = new int[n];
            for (int i = 0; i < n; i++)
            {
                komsije[i] = int.Parse(unos2[i]);
            }

            double vreme;
            int smer;
            int max = (komsije.Max());
            int min = (komsije.Min());
            //smer
            if (min >= x)
            {
                smer = 1;
            }
            else if (max <= x)
            {
                smer = 0;
            }
            else smer = -1;

            //vreme
            if (smer == 1)
            {
                vreme = Math.Abs(max - x);
            }
            else if (smer == 0)
            {
                vreme = Math.Abs(x - min);
            }
            else vreme = (Math.Abs(x - min) + Math.Abs(max - min));


            Console.WriteLine(vreme);
        }
    }
}